// OKIM6295 module header

#ifndef OKIM6295_H
#define OKIM6295_H

void OKIM6295Init(int clock, int rate);
void OKIM6295Reset(void);

READ8_HANDLER( OKIM6295_status_r );
WRITE8_HANDLER( OKIM6295_data_w );

#ifdef SAVE_STATE
STATE_SAVE( okim6295 );
STATE_LOAD( okim6295 );
#endif

int get_okim6295_size(void);
int save_okim6295_to_mem(unsigned char *stor);
int load_okim6295_from_mem(unsigned char *stor);


#endif /* OKIM6295_H */
